Autor Tópico: Resolvido - aproveitar meus pacotes deb em outro sistema com Aptoncd  (Lida 8227 vezes)

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Estou tentando migrar pacotes deb de uma nova instalação do ubuntu para instalar em outro micro.

Tentei a opção do APTonCD mas ele só serve pra criar outro disco de instalação, e eu quero uma coisa mais simples, copiar todos os deb e mandar instalar todos automaticamente.

Bem, primeiro não posso copiar pelo meu "explorer" pq o /var/cache/apt/archives é protegido

Então eu dou sudo cp /var/cache/apt/archives ************?

E o diretório destino?

É um disco externo, a partição no Gparted mostra como sdb5 e o ponto de montagem é /media/1507-040B

E depois que eu copiar este diretório, me lembro que li no forum que existe uma maneira de fazer um comando e instalar tudo de uma vez de novo, mas não acho de novo este post. Alguém sabe quais os comandos?


« Última modificação: 10 de MAR?O de 2012, 00:30 por abestado »

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: aproveitar meus pacotes deb em outro sistema
« Resposta #1 Online: 09 de MAR?O de 2012, 20:26 »
ops confundi o aptoncd com o Remastersys, o aptoncd faz um cd com os pacotes deb mesmo.
eheheheh mals.


Offline niquelnausea

  • Usuário Ubuntu
  • *
  • Mensagens: 967
    • Ver perfil
Re: aproveitar meus pacotes deb em outro sistema
« Resposta #2 Online: 09 de MAR?O de 2012, 20:27 »
o proprietario da pasta /var/cache/apt/archives é o root, mas você pode copiar o conteudo para sua home (ctrl+c ctrl+v), apenas a pasta destino tem que ter permissão de leitura e escrita para seu usuario.
se quiser usar o terminal pode usar um:
Código: [Selecionar]
cp /var/cache/apt/archives/*.* /home/[color=red]seuusuario[/color]/apt** veja que não é necessario ser root;
** troque a parte em vermelho pelo nome de seu usuario.



para colocar os arquivos salvos em outro pc, o processo é o inverso
Código: [Selecionar]
sudo cp /pastacomosarquivos/*.* /var/cache/apr/archives
« Última modificação: 09 de MAR?O de 2012, 20:30 por niquelnausea »

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido aproveitar meus pacotes deb em outro sistema
« Resposta #3 Online: 09 de MAR?O de 2012, 20:29 »
deu permissão de leitura negada em alguns arquivos...
por isso perguntei eu estava tentando copiar pelo navegador de arquivos

Offline niquelnausea

  • Usuário Ubuntu
  • *
  • Mensagens: 967
    • Ver perfil
Re: Resolvido aproveitar meus pacotes deb em outro sistema
« Resposta #4 Online: 09 de MAR?O de 2012, 20:32 »
deu permissão de leitura negada em alguns arquivos...
por isso perguntei eu estava tentando copiar pelo navegador de arquivos
em qual diretorio você ta tentando "colar" os debs?
o erro acontece no arquivo "lock"?

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema
« Resposta #5 Online: 09 de MAR?O de 2012, 21:56 »
Então amigo, não me lembro onde deu permissão negada aquela vez...

Pois bem, usei o APTonCd e fiz uma iso.
Coloquei no meu disco removível e montei com o Furious ISO Mount.

Só que quando clico pra Restaurar e dou Load, o programa para ali como se o botão Load não funcionasse... E não enxergasse diretório algum.

E agora o que faço?

Li uma dica aqui no forum:

Copie tudo para um diretório na sua máquina e execute:

Código:

sudo   dpkg  -i   *.deb


E os pacotes serão instalados. Pode até ser que tenha algum problema instalando-os assim, mas nada que o comando abaixo não acerte.

Código:

sudo   apt-get   install  -f


"pode ser que tenha algum problema" já me desanimou...


Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema
« Resposta #6 Online: 09 de MAR?O de 2012, 22:16 »
No outro PC de onde eu fiz os backups do aptoncd, a opção recuperar tem um menu, e neste aqui não...
É mais umas das gracinhas do unity? Pq lá eu coloquei gnome shell...

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema
« Resposta #7 Online: 09 de MAR?O de 2012, 22:25 »
Achei os menus no unity... Mas o aptoncd só quer saber de procurar cdrom montado, ele não acha a iso montada de jeito algum...

Eu vi print de versões antigas que perguntavam se a pessoa queria restaurar de um cd ou de uma iso diretamente...

Como faço?

E: Impossível executar "stat" no ponto de montagem /media/cdrom/ - stat (2: Arquivo ou diretório não encontrado)
E: Impossível executar "stat" no ponto de montagem /media/cdrom/ - stat (2: Arquivo ou diretório não encontrado)
E: Failed to mount the cdrom.

« Última modificação: 09 de MAR?O de 2012, 22:27 por abestado »

Offline niquelnausea

  • Usuário Ubuntu
  • *
  • Mensagens: 967
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema
« Resposta #8 Online: 09 de MAR?O de 2012, 22:29 »
a melhor solução (ainda) é copiar e colar, o aptoncd faz basicamente isso, melhor tentar entender o porque isso não esta funcionando. a única coisa que precisa é ter poderes de super vaca (root), e isso é necessário tanto o ctrl+c ctrl+v quanto para o aptoncd.

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema com Aptoncd
« Resposta #9 Online: 09 de MAR?O de 2012, 22:41 »
Copiei tudo pra pasta downloads e fiz o comando sudo   dpkg  -i   *.deb

Beleza, ele está instalando.

Vamos ver se funciona, o terminal tá correndo instalando tudo

Se funcionar vai ser uma beleza todos os progs já instalados, 2,5 gigas de debs

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema com Aptoncd
« Resposta #10 Online: 09 de MAR?O de 2012, 22:54 »
tá qse acabando, pelo visto deve ter muita coisa que o ubuntu já instala junto do sistema que ele está instalando repetido, pq eu meti o dedo no aptoncd e já mandei copiar tudo que era deb...

espero que não vá dar problemas...

ARGH!!!

dpkg: problemas de dependência impedem a configuração de libdrm-radeon1:i386:
 libdrm-radeon1:i386 depende de libc6 (>= 2.3.4).
 libdrm-radeon1:i386 depende de libdrm2 (>= 2.4.3); porém:
  Pacote libdrm2:i386 não está configurado ainda.
dpkg: erro processando libdrm-radeon1:i386 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libencode-locale-perl (1.02-1) ...
Configurando liberror-perl (0.17-1) ...
dpkg: problemas de dependência impedem a configuração de libexpat1:i386:
 libexpat1:i386 depende de libc6 (>= 2.4).
dpkg: erro processando libexpat1:i386 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libexporter-lite-perl (0.02-2) ...
dpkg: problemas de dependência impedem a configuração de libffi6:i386:
 libffi6:i386 depende de libc6 (>= 2.4).
dpkg: erro processando libffi6:i386 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libfont-afm-perl (1.20-1) ...
dpkg: problemas de dependência impedem a configuração de libfontconfig1:i386:
 libfontconfig1:i386 depende de libc6 (>= 2.7).
 libfontconfig1:i386 depende de libexpat1 (>= 1.95.8); porém:
  Pacote libexpat1:i386 não está configurado ainda.
 libfontconfig1:i386 depende de libfreetype6 (>= 2.2.1); porém:
dpkg: erro processando libfontconfig1:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgcc1:i386:
 libgcc1:i386 depende de libc6 (>= 2.2.4).
dpkg: erro processando libgcc1:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgcrypt11:i386:
 libgcrypt11:i386 depende de libc6 (>= 2.4).
dpkg: erro processando libgcrypt11:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgdbm3:i386:
 libgdbm3:i386 depende de libc6 (>= 2.1.3).
dpkg: erro processando libgdbm3:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgl1-mesa-dri:i386:
 libgl1-mesa-dri:i386 depende de libc6 (>= 2.4).
 libgl1-mesa-dri:i386 depende de libdrm-intel1 (>= 2.4.23-3~); porém:
  Pacote libdrm-intel1:i386 não está configurado ainda.
 libgl1-mesa-dri:i386 depende de libdrm-nouveau1a (>= 2.4.23); porém:
  Pacote libdrm-nouveau1a:i386 não está configurado ainda.
 libgl1-mesa-dri:i386 depende de libdrm-radeon1 (>= 2.4.17); porém:
  Pacote libdrm-radeon1:i386 não está configurado ainda.
 libgl1-mesa-dri:i386 depende de libdrm2 (>= 2.4.3); porém:
  Pacote libdrm2:i386 não está configurado ainda.
 libgl1-mesa-dri:i386 depende de libexpat1 (>= 1.95.8); porém:
  Pacote libexpat1:i386 não está configurado ainda.
 libgl1-mesa-dri:i386 depende de libgcc1 (>= 1:4.1.1); porém:
  Pacote libgcc1:i386 não está configurado ainda.
dpkg: erro processando libgl1-mesa-dri:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgl1-mesa-glx:i386:
 libgl1-mesa-glx:i386 depende de libc6 (>= 2.4).
 libgl1-mesa-glx:i386 depende de libdrm2 (>= 2.3.1); porém:
  Pacote libdrm2:i386 não está configurado ainda.
dpkg: erro processando libgl1-mesa-glx:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libglapi-mesa:i386:
 libglapi-mesa:i386 depende de libc6 (>= 2.4).
dpkg: erro processando libglapi-mesa:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libglib2.0-0:i386:
 libglib2.0-0:i386 depende de libc6 (>= 2.9).
 libglib2.0-0:i386 depende de libffi6 (>= 3.0.4); porém:
  Pacote libffi6:i386 não está configurado ainda.
dpkg: erro processando libglib2.0-0:i386 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libgnomecanvas2-common (2.30.3-1) ...
Configurando libgnomeui-common (2.24.5-1) ...
dpkg: problemas de dependência impedem a configuração de libgnutls26:i386:
 libgnutls26:i386 depende de libc6 (>= 2.8).
 libgnutls26:i386 depende de libgcrypt11 (>= 1.5.0-0); porém:
  Pacote libgcrypt11:i386 não está configurado ainda.
dpkg: erro processando libgnutls26:i386 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libgoocanvas-common (0.15-1) ...
dpkg: problemas de dependência impedem a configuração de libgpg-error0:i386:
 libgpg-error0:i386 depende de libc6 (>= 2.1.3).
dpkg: erro processando libgpg-error0:i386 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgs9:
 libgs9 depende de libcups2 (>= 1.4.0); porém:
  Pacote libcups2 não está configurado ainda.
 libgs9 depende de libcupsimage2 (>= 1.4.0); porém:
  Pacote libcupsimage2 não está configurado ainda.
dpkg: erro processando libgs9 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libgs9-common (9.04~dfsg-0ubuntu11.5) ...
Configurando libgsf-1-common (1.14.21-1) ...
dpkg: problemas de dependência impedem a configuração de libgtk-3-0:
 libgtk-3-0 depende de libcups2 (>= 1.4.0); porém:
  Pacote libcups2 não está configurado ainda.
dpkg: erro processando libgtk-3-0 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de libgtk-3-bin:
 libgtk-3-bin depende de libgtk-3-0 (>= 3.2.0-0ubuntu6); porém:
  Pacote libgtk-3-0 não está configurado ainda.
dpkg: erro processando libgtk-3-bin (--install):
 problemas de dependência - deixando desconfigurado
Configurando libgtk-3-common (3.2.0-0ubuntu6) ...
Configurando libgtksourceview2.0-common (2.10.5-0ubuntu3) ...
dpkg: problemas de dependência impedem a configuração de libgtksourceview-3.0-0:
 libgtksourceview-3.0-0 depende de libgtk-3-0 (>= 3.0.0); porém:
  Pacote libgtk-3-0 não está configurado ainda.
dpkg: erro processando libgtksourceview-3.0-0 (--install):
 problemas de dependência - deixando desconfigurado
Configurando libgtksourceview-3.0-common (3.2.1-0ubuntu0.1) ...
dpkg: problemas de dependência impedem a configuração de libgweather-3-0:
 libgweather-3-0 depende de libgtk-3-0 (>= 3.0.0); porém:
  Pacote libgtk-3-0 não está configurado ainda.
dpkg: erro processando libgweather-3-0 (--install):
 problemas de dependência - deixando desconfigurado
dpkg: vários erros, parando
Processando gatilhos para man-db ...
Processando gatilhos para gnome-menus ...
Processando gatilhos para ureadahead ...
ureadahead will be reprofiled on next reboot
Processando gatilhos para libglib2.0-0 ...
Processando gatilhos para hicolor-icon-theme ...
Processando gatilhos para shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Unknown media type in type 'interface/x-winamp-skin'
Processando gatilhos para doc-base ...
Processando 29 alterou arquivos doc-base, 26 adicionou arquivos doc-base
Registrando documentos com scrollkeeper...
Processando gatilhos para ufw ...
Processando gatilhos para fontconfig ...
Processando gatilhos para install-info ...
Processando gatilhos para python-support ...
Processando gatilhos para python-twisted-core ...
Erros foram encontrados durante o processamento de:
 gir1.2-javascriptcoregtk-3.0_1.6.1-1~webupd8+oneiric_amd64.deb
 ia32-libs_20090808ubuntu26_amd64.deb
 lib32bz2-1.0_1.0.5-6ubuntu1.11.10.1_amd64.deb
 libpam-modules_1.1.3-2ubuntu2.1_amd64.deb
 libreoffice-core_1%3a3.4.4-0ubuntu1_amd64.deb
 aptoncd-metapackage:i386
 gir1.2-webkit-3.0
 ia32-libs-multiarch:i386
 kdelibs5-plugins
 kde-runtime
 kollision
 korganizer
 ktimetracker
 ktouch
 kubuntu-debug-installer
 libacl1:i386
 libattr1:i386
 libaudio2:i386
 libavahi-client3:i386
 libavahi-common3:i386
 libcomerr2:i386
 libcups2:i386
 libcups2
 libcupscgi1
 libcupsdriver1
 libcupsimage2
 libcupsmime1
 libcupsppdc1
 libdb5.1:i386
 libdbus-1-3:i386
 libdrm2:i386
 libdrm-intel1:i386
 libdrm-nouveau1a:i386
 libdrm-radeon1:i386
 libexpat1:i386
 libffi6:i386
 libfontconfig1:i386
 libgcc1:i386
 libgcrypt11:i386
 libgdbm3:i386
 libgl1-mesa-dri:i386
 libgl1-mesa-glx:i386
 libglapi-mesa:i386
 libglib2.0-0:i386
 libgnutls26:i386
 libgpg-error0:i386
 libgs9
 libgtk-3-0
 libgtk-3-bin
 libgtksourceview-3.0-0
 libgweather-3-0
Processamento parou porque havia muitos erros.

« Última modificação: 09 de MAR?O de 2012, 22:58 por abestado »

Offline abestado

  • Usuário Ubuntu
  • *
  • Mensagens: 72
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema com Aptoncd
« Resposta #11 Online: 09 de MAR?O de 2012, 22:55 »
E agora o bagulho parou no meio!!!!
ahahahaha


pronto ferrou tudo e agora, formato de novo???

Estou fazendo o sudo   apt-get   install  -f

E quando isso acabar?
Meus debs estarão instalados pela metade?

Como instalo o resto a partir do ponto q deu erro?
« Última modificação: 09 de MAR?O de 2012, 23:06 por abestado »

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema com Aptoncd
« Resposta #12 Online: 09 de MAR?O de 2012, 23:01 »
Usar o sudo dpkg -i *.deb não é muito certo, pois os pacotes tem uma ordem de dependência e aí desta forma pode ser que algo vá ser instalado sem sua respectiva dependência já ter sido instalada primeiro. O que você pode fazer para minimizar isso seria tentar forçar assim:

sudo dpkg -i --force-all *.deb

mas talvez você tenha que usar os comandos:

sudo apt-get update
sudo apt-get install -f


logo após para corrigir alguns pacotes quebrados. É necessário ter a internet ativa neste computador.
« Última modificação: 09 de MAR?O de 2012, 23:10 por linuser104 »
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline garfo

  • Usuário Ubuntu
  • *
  • Mensagens: 1.023
  • Keep easy and simple.
    • Ver perfil
    • linux
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema com Aptoncd
« Resposta #13 Online: 09 de MAR?O de 2012, 23:04 »
Por que você está tentando copiar esses .debs? Não entendi muito bem isso.

Numa instalação normal do Ubuntu basta instala-lo, atualizar (atualizações), e depois instalar os programas que você quer. Meio básico isso.

Uma obs.: Se você copiar .debs de uma versão e colar em outra versão (p. ex. copiar .debs do Ubuntu 10.04 e cola-los no Ubuntu 11.10) vai dar erros de dependência grotescos. Fique ligado!   ;)
Garfo -  linux
"Pra quê complicar? Facilidade e simplicidade é tudo!"

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Resolvido nada aproveitar meus pacotes deb em outro sistema com Aptoncd
« Resposta #14 Online: 09 de MAR?O de 2012, 23:07 »
Por que você está tentando copiar esses .debs? Não entendi muito bem isso.

Numa instalação normal do Ubuntu basta instala-lo, atualizar (atualizações), e depois instalar os programas que você quer. Meio básico isso.

Uma obs.: Se você copiar .debs de uma versão e colar em outra versão (p. ex. copiar .debs do Ubuntu 10.04 e cola-los no Ubuntu 11.10) vai dar erros de dependência grotescos. Fique ligado!   ;)

Ele deve ter um cache dos .deb numa máquina com Ubuntu e está instalando outra e não quer ter que baixar tudo da net outra vez. É isso, ou deve ser isso.

Agora eu faria assim, colocaria tudo em /var/cache/apt/archives

e pelo terminal digitaria:

sudo apt-get update

sudo apt-get upgrade
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].